---
title: ReadableStreamBYOBRequest.view
slug: Web/API/ReadableStreamBYOBRequest/view
tags:
  - API
  - Experimental
  - Property
  - ReadableStreamBYOBRequest
  - Reference
  - Streams
  - View
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>view</code></strong> getter property of the {{domxref("ReadableStreamBYOBRequest")}} interface returns the current view.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var view = </code>readableStreamBYOBRequestInstance</var>.view;</pre>

<h3 id="Value">Value</h3>

<p>A <a href="/en-US/docs/Web/JavaScript/Typed_arrays">typed array</a> representing the destination region to which the controller can write generated data.</p>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#rs-byob-request-view","view")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ReadableStreamBYOBRequest.view")}}</p>
